package net.pingex.dcf.modularity.events;

import java.util.Set;

/**
 * Interface which indicates that the plugin has event handlers.
 */
public interface IWithEventHandlers
{
	/**
	 * Gives all event handlers classes for the plugin.
	 * @return All events handlers to submit to D4J.
	 */
	Set<Class<?>> getEventHandlers();
}
